Package com.google.protobuf

# Interface EnumValueOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `EnumValue`, `EnumValue.Builder`

public interface EnumValueOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`string name = 1 [json_name = "name"];`
`int`
`getNumber()`
`int32 number = 2 [json_name = "number"];`
`Option`
`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`int`
`getOptionsCount()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`OptionOrBuilder`
`getOptionsOrBuilder(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<? extends OptionOrBuilder>`
`getOptionsOrBuilderList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getName

String getName()
`string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### getNumber

int getNumber()
`int32 number = 2 [json_name = "number"];`

Returns:
  The number.

### getOptionsList

List<Option> getOptionsList()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptions

Option getOptions(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptionsCount

int getOptionsCount()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptionsOrBuilderList

List<? extends OptionOrBuilder> getOptionsOrBuilderList()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptionsOrBuilder

OptionOrBuilder getOptionsOrBuilder(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`